Bug 27877 - Allow custom memory allocation control for JavaScriptCore's PolymorphicAccessStructureList struct
Summary: Allow custom memory allocation control for JavaScriptCore's PolymorphicAccess...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-31 05:45 PDT by Zoltan Horvath
Modified: 2009-08-06 12:17 PDT (History)
2 users (show)

See Also:


Attachments
proposed patch (1.38 KB, patch)
2009-07-31 05:50 PDT, Zoltan Horvath
abarth: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Horvath 2009-07-31 05:45:57 PDT
Inherits PolymorphicAccessStructureList struct from FastAllocBase because it has been instantiated by
'new' in JavaScriptCore/jit/JITStubs.cpp:1229.
Comment 1 Zoltan Horvath 2009-07-31 05:50:30 PDT
Created attachment 33874 [details]
proposed patch
Comment 2 Adam Barth 2009-08-01 21:40:07 PDT
Oliver: Here's the another patch similar to the one you didn't like.  Would you like to double check it?
Comment 3 Adam Barth 2009-08-05 23:27:32 PDT
Comment on attachment 33874 [details]
proposed patch

Olliej says this one is fine too.
Comment 4 Adam Barth 2009-08-06 12:17:54 PDT
Comment on attachment 33874 [details]
proposed patch

Clearing review flag on attachment: 33874

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	JavaScriptCore/ChangeLog
	M	JavaScriptCore/bytecode/Instruction.h
Committed r46854
	M	PlanetWebKit/config.ini
	M	PlanetWebKit/ChangeLog
r46853 = 7b9d89a3941dcdb8c85336726444abf5c7ac59f0 (trunk)
	M	JavaScriptCore/ChangeLog
	M	JavaScriptCore/bytecode/Instruction.h
r46854 = 018f29b6729ec241cc26692c306e2a4088dbbb85 (trunk)
First, rewinding head to replay your work on top of it...
Nothing to do.
http://trac.webkit.org/changeset/46854
Comment 5 Adam Barth 2009-08-06 12:17:58 PDT
All reviewed patches have been landed.  Closing bug.